.map-style {
  .extent {
    color: rgb(var(--bs-pink-500-rgb));
    background-color: transparent;
    border: 2px solid rgba(var(--bs-red-800-rgb), 0.8);
  }

  .polygon {
    color: rgba(var(--bs-blue-500-rgb), 0.8);
    background-color: rgba(var(--bs-gray-100), 0.5);
    font-size: 1px;
  }

  .line {
    border-color: rgba(var(--bs-blue-500-rgb), 0.8);
    background-color: rgba(var(--bs-gray-900-rgb), 0.5);
    font-size: 2px;
  }

  .point {
    border-color: rgba(var(--bs-gray-300-rgb), 0.8);
    background-color: rgba(var(--bs-gray-100), 0.5);
    font-size: 1px;
  }

  .selection {
    border-color: rgba(var(--bs-gray-900-rgb), 0.8);
    background-color: rgba(var(--bs-gray-100), 0.9);
    font-size: 0.5px;
  }

  .pending-point {
    width: 0;
    background-color: rgba(var(--bs-gray-100-rgb), 0.8);
    border: 1px solid rgba(var(--bs-gray-100-rgb), 0.8);
    opacity: 0.7;
  }

  .pending-point-badge {
    width: 0;
    background-color: var(--bs-orange);
    border: 1px solid rgba(var(--bs-gray-100-rgb), 0.8);
  }

  .private-point-badge {
    width: 0;
    background-color: rgb(var(--bs-gray-100-rgb));
    border: 1px solid rgba(var(--bs-gray-100-rgb), 0.8);
  }

  .selected-point {
    width: 0;
    background-color: rgba(var(--bs-gray-100-rgb), 0.8);
    border: 1px solid rgb(var(--bs-gray-900-rgb));
    z-index: 9999999;
  }

  .debug-0, .debug-10, .debug-20, .debug-30 {
    border-color: rgba(var(--bs-gray-900-rgb), 0.5);
    background-color: transparent;
    font-size: 0.5px;
  }

  .group {
    border-color: rgba(var(--bs-blue-500-rgb), 0.8);
    width: 15px;
    z-index: 0;
  }

  .group-0 {
    background-color: rgba(var(--bs-blue-800-rgb), 0.8);
  }

  .group-1 {
    background-color: rgba(var(--bs-blue-700-rgb), 0.8);
  }

  .group-2 {
    background-color: rgba(var(--bs-blue-600-rgb), 0.8);
  }

  .group-3 {
    background-color: rgba(var(--bs-blue-500-rgb), 0.8);
  }

  .group-4 {
    background-color: rgba(var(--bs-blue-400-rgb), 0.8);
  }

  .group-5 {
    background-color: rgba(var(--bs-blue-300-rgb), 0.8);
  }

  .group-6 {
    background-color: rgba(var(--bs-blue-200-rgb), 0.8);
  }

  .group-7 {
    background-color: rgba(var(--bs-blue-100-rgb), 0.8);
  }

  .group-text {
    color: transparent;
    font-size: 11px;
    font-weight: 100;
  }

  .group-text-0 {
    background-color: rgb(var(--bs-gray-100-rgb)); //darken(--bs-gray-100, 30%)
  }

  .group-text-1 {
    background-color: rgb(var(--bs-gray-200-rgb)); //darken(--bs-gray-100, 20%)
  }

  .group-text-2 {
    background-color: rgb(var(--bs-gray-300-rgb)); //darken(--bs-gray-100, 10%)
  }

  .group-text-3 {
    background-color: rgb(var(--bs-gray-400-rgb));
  }

  .group-text-4 {
    background-color: rgb(var(--bs-gray-800-rgb));
  }

  .group-text-5 {
    background-color: rgb(var(--bs-gray-800-rgb));
  }

  .group-text-6 {
    background-color: rgb(var(--bs-gray-900-rgb));
  }

  .group-text-7 {
    background-color: rgb(var(--bs-gray-900-rgb));
  }
}
